# ReaderWriterMD2.cpp File Reference

`#include <osg/TexEnv>`
`#include <osg/CullFace>`
`#include <osg/Geode>`
`#include <osg/Geometry>`
`#include <osg/Material>`
`#include <osg/Image>`
`#include <osg/Texture2D>`
`#include <osg/Switch>`
`#include <osg/Sequence>`
`#include <osg/Notify>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgDB/FileNameUtils>`
`#include <osgDB/FileUtils>`
`#include <string.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <sys/stat.h>`
`#include <assert.h>`
`#include "anorms.h"`

Include dependency graph for ReaderWriterMD2.cpp:

## Defines

#define | MD2_HEADER_MAGIC 0x32504449
#define | NUMVERTEXNORMALS 162

## Variables

osgDB::RegisterReaderWriterProxy< ReaderWriterMD2 > | g_readerWriter_MD2_Proxy
float | g_md2VertexNormals [NUMVERTEXNORMALS][3]
osg::Vec3Array * | g_md2NormalsArray = NULL

## Define Documentation

#define MD2_HEADER_MAGIC 0x32504449

#define NUMVERTEXNORMALS 162

## Variable Documentation

osg::Vec3Array* g_md2NormalsArray = NULL

float g_md2VertexNormals[NUMVERTEXNORMALS][3]

osgDB::RegisterReaderWriterProxy<ReaderWriterMD2> g_readerWriter_MD2_Proxy